<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/MediaPlayer/GStreamerMediaPlayer/include/MediaPlayer/SourceInterface.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_9d34932954f3d83257e5e12e3f421a72.html">MediaPlayer</a></li><li class="navelem"><a class="el" href="dir_e1f7d5df1447213cfb529aad5fa2c859.html">GStreamerMediaPlayer</a></li><li class="navelem"><a class="el" href="dir_d1a5c25c65a86ab490915a47e76c835a.html">include</a></li><li class="navelem"><a class="el" href="dir_9b83a3a02537ea061e11167c986dd2c8.html">MediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SourceInterface.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_source_interface_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_MEDIAPLAYER_GSTREAMERMEDIAPLAYER_INCLUDE_MEDIAPLAYER_SOURCEINTERFACE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_MEDIAPLAYER_GSTREAMERMEDIAPLAYER_INCLUDE_MEDIAPLAYER_SOURCEINTERFACE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_pipeline_interface_8h.html">MediaPlayer/PipelineInterface.h</a>&quot;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_requires_shutdown_8h.html">AVSCommon/Utils/RequiresShutdown.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>mediaPlayer {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html">SourceInterface</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">avsCommon::utils::RequiresShutdown</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a64e705aab13326da47ab2110961bccfa">   36</a></span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a64e705aab13326da47ab2110961bccfa">SourceInterface</a>(<span class="keyword">const</span> std::string&amp; className) : <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">RequiresShutdown</a>(className) {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    }</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a95c787c015d44fb6409f0a050424cc0d">~SourceInterface</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a1db735cb93d89f68bcc07396cd90c849">handleEndOfStream</a>() = 0;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a41ad7357d98f2efc7b520b33cbb9be4a">hasAdditionalData</a>() = 0;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a1cd97cedd9cc6e8d1822f84bb74facf3">preprocess</a>() = 0;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#ab26b1c54c75a9e0f840e4a27670a66a6">isPlaybackRemote</a>() <span class="keyword">const</span> = 0;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;};</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;}  <span class="comment">// namespace mediaPlayer</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_MEDIAPLAYER_GSTREAMERMEDIAPLAYER_INCLUDE_MEDIAPLAYER_SOURCEINTERFACE_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_source_interface_html_a1db735cb93d89f68bcc07396cd90c849"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a1db735cb93d89f68bcc07396cd90c849">alexaClientSDK::mediaPlayer::SourceInterface::handleEndOfStream</a></div><div class="ttdeci">virtual bool handleEndOfStream()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_source_interface_html_a1cd97cedd9cc6e8d1822f84bb74facf3"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a1cd97cedd9cc6e8d1822f84bb74facf3">alexaClientSDK::mediaPlayer::SourceInterface::preprocess</a></div><div class="ttdeci">virtual void preprocess()=0</div></div>
<div class="ttc" id="_requires_shutdown_8h_html"><div class="ttname"><a href="_requires_shutdown_8h.html">RequiresShutdown.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html">alexaClientSDK::avsCommon::utils::RequiresShutdown</a></div><div class="ttdef"><b>Definition:</b> RequiresShutdown.h:32</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_source_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html">alexaClientSDK::mediaPlayer::SourceInterface</a></div><div class="ttdef"><b>Definition:</b> SourceInterface.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_source_interface_html_a41ad7357d98f2efc7b520b33cbb9be4a"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a41ad7357d98f2efc7b520b33cbb9be4a">alexaClientSDK::mediaPlayer::SourceInterface::hasAdditionalData</a></div><div class="ttdeci">virtual bool hasAdditionalData()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_source_interface_html_ab26b1c54c75a9e0f840e4a27670a66a6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#ab26b1c54c75a9e0f840e4a27670a66a6">alexaClientSDK::mediaPlayer::SourceInterface::isPlaybackRemote</a></div><div class="ttdeci">virtual bool isPlaybackRemote() const =0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_source_interface_html_a64e705aab13326da47ab2110961bccfa"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a64e705aab13326da47ab2110961bccfa">alexaClientSDK::mediaPlayer::SourceInterface::SourceInterface</a></div><div class="ttdeci">SourceInterface(const std::string &amp;className)</div><div class="ttdef"><b>Definition:</b> SourceInterface.h:36</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="_pipeline_interface_8h_html"><div class="ttname"><a href="_pipeline_interface_8h.html">PipelineInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1media_player_1_1_source_interface_html_a95c787c015d44fb6409f0a050424cc0d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1media_player_1_1_source_interface.html#a95c787c015d44fb6409f0a050424cc0d">alexaClientSDK::mediaPlayer::SourceInterface::~SourceInterface</a></div><div class="ttdeci">virtual ~SourceInterface()=default</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
